GCLOUD_COMPUTE_INSTANCES_DESCRIBE(1)

NAME

gcloud compute instances describe - describe a virtual machine instance

SYNOPSIS

gcloud compute instances describe NAME [--zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances describe displays all data associated with a Google Compute Engine virtual machine instance.

POSITIONAL ARGUMENTS

    NAME
        The name of the resource to fetch.

FLAGS

    --zone=ZONE
        The zone of the resource to fetch. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.